#include         <SoftwareSerial.h>                   //  Подключаем библиотеку для работы по программной шине UART
#include         <Adafruit_Thermal.h>                 //  Подключаем библиотеку для работы с принтером
SoftwareSerial   mySerial(5, 6);                      //  Объявляем объект библиотеки SoftwareSerial, указывая задействованные выводы Arduino (RX=5-зелёный, TX=6-синий). Можно назначить другие выводы Arduino
Adafruit_Thermal printer(&mySerial);                  //  Объявляем объект библиотеки Adafruit_Thermal, указывая ссылку на созданный ранее объект mySerial библиотеки SoftwareSerial
                                                      //
void setup(){                                         //  Код функции setup выполняется только 1 раз, при старте скетча
    mySerial.begin(9600);                             //  Инициируем передачу данных по программной шине UART на скорости 9600. Функцию begin объекта mySerial нужно вызвать до вызова функции begin объекта printer!
    printer.begin();                                  //  Инициируем работу с термопринтером. В качестве параметра можно указать время нагрева пикселей от 3 (0,03 мс) до 255 (2,55 мс), чем выше тем темнее пикселы. Значение по умолчанию = 120 (1,20 мс)
    printer.println("");                              //  Выводим пустую строку. Это рекомендуется делать для корректной работы некоторых принтеров после инициализации.
                                                      //
    printer.print(F("UPC-A:"));                       //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("123456789012", UPC_A);      //  Выводим штрих-код в формате UPC_A.                                В данном формате используются 12 цифр
                                                      //
    printer.print(F("EAN-13:"));                      //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("1234567890123", EAN13);     //  Выводим штрих-код в формате EAN-13, аналогичен формату JAN-13.    В данном формате используются 13 цифр
                                                      //
    printer.print(F("EAN-8:"));                       //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("12345678", EAN8);           //  Выводим штрих-код в формате EAN-8, аналогичен формату JAN-8.      В данном формате используются 8 цифр
                                                      //
    printer.print(F("CODE 39:"));                     //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("IARDUINO", CODE39);         //  Выводим штрих-код в формате CODE 39                               В данном формате можно использовать от 2 до 255 цифр и заглавных латинских букв
                                                      //
    printer.print(F("CODE 93:"));                     //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("IARDUINO.RU", CODE93);      //  Выводим штрих-код в формате CODE 93                               В данном формате можно использовать от 2 до 255 цифр, заглавных латинских букв, пробелы, и знаки *.:$%/+-
                                                      //
    printer.print(F("ITF:"));                         //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("1234567890", ITF);          //  Выводим штрих-код в формате ITF                                   В данном формате можно использовать от 2 до 255 цифр
                                                      //
    printer.print(F("CODABAR:"));                     //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("1234567890", CODABAR);      //  Выводим штрих-код в формате CODABAR                               В данном формате можно использовать от 2 до 255 цифр, заглавных латинских букв, и знаки .:%/+-
                                                      //
    printer.print(F("CODE128:"));                     //  Выводим текст с названием формата штрих-кода
    printer.printBarcode("iArduino", CODE128);        //  Выводим штрих-код в формате CODE 128                              В данном формате можно использовать от 2 до 255 символов коды которых лежат в диапазоне от 0 до 127 таблицы символов ASCII
                                                      //
    printer.feed(3);                                  //  Прокручиваем ленту на 3 строки
}                                                     //
                                                      //
void loop(){}                                         //
